Starmade | Ruleset name value table has no fixed sorting
Resolved, needs quality check / confirm fix, Pre-Release Quality AssurancePublic

Description

The name-value table of a Condition or Action sorts in a random way.
Every time you click on any of them, you never know which order the name-values will appear in.

Order you expect values to be in:

A random messed up order:

Frustrating to have when you are going to add a lot of rules with varying amounts of conditions and actions.

Details

Commits
Restricted Diffusion Commit
Task Type
Bug
Testing Results
Affected Gamemode(s)
Single and Multi
Reproducible
Yes
Last tested (version)
0.201.313
Category
Ingame GUI/HUD
First occurrence (version)
0.201.3xx
Hardware/Software/System
OS-Specific
No
Hardware-Specific
No
Video Card Vendor
uncertain
Steps to reproduce
  1. Make any rule with a condition or action that has more than one name-value row
  2. click on that condition/action you made and notice the values re-sorting
Serverconfig (server.cfg)
<replace this line with the file content>
Clientconfig (settings.cfg)
<replace this line with the file content>
lancake created this task.Dec 1 2018, 3:50 PM
Restricted Application added a project: GUI/HUD. · View Herald TranscriptDec 1 2018, 3:50 PM
schema changed the task status from "In Queue" to "Resolved" by committing Restricted Diffusion Commit.Dec 2 2018, 11:53 AM
Restricted Application edited projects, added Quality Assurance; removed Game Development. · View Herald TranscriptDec 2 2018, 11:53 AM
Restricted Application added a subscriber: AndyP. · View Herald Transcript
AndyP moved this task from Backlog / Unclassed to Alpha on the GUI/HUD board.Jan 22 2019, 9:25 AM